Skip to content
MothershipDevelopers

API referenceAccount

Retrieve your account

Retrieves the details of your company account.

GET/account
Environment
https://sandbox.api.mothership.com/beta
curl --request GET \
  --url 'https://sandbox.api.mothership.com/beta/account' \
  --header "Authorization: Bearer $MOTHERSHIP_API_TOKEN" \
  --header 'Accept: application/json'
Reads your token from $MOTHERSHIP_API_TOKEN
Response
{
: {
: "3f1c2a9e-5b7d-4e8a-9c61-2d4f8b0e7a15",
: "2026-03-19T17:00:00.000Z",
: "2026-03-19T17:00:00.000Z",
: "Griffith Observatory",
: "logistics@example.com",
: "+15555555555",
: true,
: 30,
: 79,
: 79,
: 1,
: "usd"
}
}

Hover a key to see what it means. Click it to jump to the field.

Authorization: Bearer <token>

Your sandbox API token. See Authentication.

    • dataobjectRequired
      • idstringRequired

        The ID of your company account

      • createdAtstringRequired

        When the company account was created, as an ISO 8601 string.

      • namestringRequired

        The name of your company account

      • emailstringRequired

        The primary email of your company account

      • phoneNumberstringRequired

        The primary phone number of your company account

      • paymentTermLengthDaysnumberRequired

        The number of days from invoice to payment due

      • updatedAtstring

        When the company account was last updated, as an ISO 8601 string.

      • paymentTermsEnabledboolean

        Whether payment terms are enabled for the account

      • creditLimitAmountnumber

        The total amount of term credit in USD

      • availableCreditAmountnumber

        The amount in USD remaining due on the credit term

      • totalAmountDuenumber

        The total amount due in USD of unpaid invoices

      • currencystring

        Three-letter ISO currency code, in lowercase

What's next